Subject: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Jan 2019 20:36:28 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 24 Jan 2019 19:22:23 +0100
> 
> I think `window--adjust-process-windows' finishes without error.  My
> impression is that it's something that it does that causes the hang
> later.  When I use debug-on-quit, window--adjust-process-windows is not
> in the Lisp backtrace.
> 
> When I trace 'window--adjust-process-windows', I don't see unnaturally
> many calls of that function, so it also doesn't seem to be part of some
> kind of infloop.

Maybe producing a profile of such a hang could give us some hints.